{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.zebra.main": {
      "states": {
        "default": {
          "animations": [
            { "idle": "!q.is_baby" },
            { "baby_idle": "q.is_baby" }
          ],
          "transitions": [
            { "run": "q.modified_move_speed > 0.5 && q.state_time > 0.5" },
            { "walk": "q.modified_move_speed > 0.1 && q.state_time > 0.5" }
          ],
          "blend_transition": 0.2
        },
        "walk": {
          "animations": [
            { "walk": "!q.is_baby" },
            { "baby_walk": "q.is_baby" }
          ],
          "transitions": [
            { "run": "q.modified_move_speed > 0.5 && q.state_time > 0.5" },
            { "default": "q.modified_move_speed <= 0.1 && q.state_time > 0.5" }
          ],
          "blend_transition": 0.2
        },
        "run": {
          "animations": [
            { "run": "!q.is_baby" },
            { "baby_run": "q.is_baby" }
          ],
          "transitions": [
            { "default": "q.modified_move_speed <= 0.1 && q.state_time > 0.5" },
            { "walk": "q.modified_move_speed <= 0.5 && q.state_time > 0.5" }
          ],
          "blend_transition": 0.2
        }
      }
    }
  }
}
